<?php

// ウィジェットの登録
register_sidebar( array(
  'name' => 'サイドバー'
  ));

// メニューの設定
add_theme_support('menus');
register_nav_menus( array(
	'main' => 'メインメニュー',
));

// サイドバーの設定
function my_script() {
  wp_enqueue_script(
      'myscript',
      get_template_directory_uri() . '/script.js',
      array(),
      false,
      true,
  );
}
add_action( 'wp_enqueue_scripts', 'my_script' );

// タイトルタグの自動出力
add_theme_support( 'title-tag' );
function wp_document_title_separator ( $title ) {
  if ( is_home() || is_front_page() ) {
    unset( $title['tagline'] );// ディスクリプションを出力しない
  }
  return $title;
}
add_filter( 'document_title_parts', 'wp_document_title_separator', 10, 1 );

// アイキャッチ画像の有効化
add_theme_support( 'post-thumbnails' );

// 記事抜粋の文字数指定を150字にする
function twpp_change_excerpt_length( $length ) {
    return 150;
}
add_filter( 'excerpt_length', 'twpp_change_excerpt_length', 999 );

// 記事抜粋の[...]の変更
function twpp_change_excerpt_more( $more ) {
$html = '<span class="readMore"><a href="' . esc_url( get_permalink() ) . '">...続きを読む</a></span>';
return $html;
}
add_filter( 'excerpt_more', 'twpp_change_excerpt_more' );

// アーカイブページの設定
function post_has_archive($args, $post_type)
{
    if ('post' == $post_type) {
        $args['rewrite'] = true; // リライトを有効にする
        $args['has_archive'] = 'posts'; // 任意のスラッグ名
    }
    return $args;
}
add_filter('register_post_type_args', 'post_has_archive', 10, 2);
